#
# spec file for package expat (Version 1.95.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         expat
Summary:      XML Parser Toolkit
Version:      1.95.2
Release:      29
Copyright:  Mozilla Public License Version 1.1
Group:      Utilities/Text
Source:      expat-%{version}.tar.bz2
Source1:     expatfaq.html
Patch:       %{name}-%{version}.diff
BuildRoot:  %{_tmppath}/%{name}-build
URL:  http://www.jclark.com/xml/expat.html
 

%description
Expat is an XML 1.0 parser written in C. It aims to be fully
conforming. It is currently not a validating XML processor. The current
production version of expat can be downloaded from
ftp://ftp.jclark.com/pub/xml/expat.zip.
The directory xmltok contains a low-level library for tokenizing
XML. The interface is documented in xmltok/xmltok.h.
The directory xmlparse contains an XML parser library which is built on
top of the xmltok library. The interface is documented in
xmlparse/xmlparse.h. The directory sample contains a simple example
program using this interface; sample/build.bat is a batch file to build
the example using Visual C++.
The directory xmlwf contains the xmlwf application, which uses the
xmlparse library. The arguments to xmlwf are one or more files which are
each to be checked for well-formedness. An option -d dir can be
specified; for each well-formed input file the corresponding canonical
XML will be written to dir/f, where f is the filename (without any path)
of the input file. A -x option will cause references to external general
entities to be processed. A -s option will make documents that are not
standalone cause an error (a document is considered standalone if either
it is intrinsically standalone because it has no external subset and no
references to parameter entities in the internal subset or it is
declared as standalone in the XML declaration).

Authors:
--------
    James Clark <jjc@jclark.com>

SuSE series: sgm

%prep
%setup 
%patch
cp   $RPM_SOURCE_DIR/expatfaq.html expatfaq.html

%build
#make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --mandir=%{_mandir} \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING Changes MANIFEST README expatfaq.html doc/* examples
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_prefix}/include/*

%changelog -n expat
* Wed Aug 15 2001 - rvasice@suse.cz
- update to version 1.95.2
- spec file cleanup
- added DESTDIR
* Mon May 14 2001 - pblaha@suse.cz
- fixed links for soname of libexpat.so*
* Fri May 11 2001 - cihlar@suse.cz
- fixed soname of libexpat.so.1.2
* Fri Jan 05 2001 - pblaha@suse.cz
- back on stable version 1.2  added build shared libexpat.so
* Thu Jan 04 2001 - pblaha@suse.cz
- update on 1.95.1 on sourgeforge needed for midgard
- new description
* Thu Mar 09 2000 - ke@suse.de
- Don't "install" symlinks; use "cp"; reported by bs; proposed fix
  by ro.
- Cleanup the spec file: better Group tag; more accurate files list.
* Tue Nov 23 1999 - ke@suse.de
- first SuSE package: version 1.1.
- apply Debian patch to build shared libs.
- build libexpat.a.
